## icu-ext 1.5.1

=== Makefile ===
EXTENSION  = icu_ext
EXTVERSION = 1.5

PG_CONFIG = pg_config

DATA = $(wildcard sql/icu_*.sql)

MODULE_big = icu_ext
OBJS      = icu_ext.o icu_break.o icu_num.o icu_spoof.o icu_transform.o icu_search.o
SHLIB_LINK = $(ICU_LIBS)
REGRESS   = tests-01
EXTRA_CLEAN = expected/tests.out

all:


PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
icu-ext (1.5.1-2build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:33:01 +0100

icu-ext (1.5.1-2build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:58:56 +0100

icu-ext (1.5.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 20 Jan 2020 11:27:14 +0100

icu-ext (1.5.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Jan 2020 16:38:07 +0100

=== debian/control ===
Source: icu-ext
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 9),
 libicu-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/postgresql/icu-ext
Vcs-Git: https://salsa.debian.org/postgresql/icu-ext.git
Homepage: https://github.com/dverite/icu_ext

Package: postgresql-12-icu-ext
Architecture: any
Depends:
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-icu-ext

override_dh_installdocs:
	dh_installdocs --all README.*

#override_dh_auto_clean:
#	+pg_buildext clean

%:
	dh $@

=== debian/tests/control ===
Depends:
 postgresql-server-dev-all,
 @,
Tests: installcheck
Restrictions: allow-stderr

## icu-ext 1.6.1

=== Makefile ===
EXTENSION  = icu_ext
EXTVERSION = 1.6.1

PG_CONFIG = pg_config

DATA = $(wildcard sql/icu_*.sql)

MODULE_big = icu_ext
OBJS = icu_ext.o icu_break.o icu_num.o icu_spoof.o icu_transform.o \
	icu_search.o icu_normalize.o
SHLIB_LINK = $(ICU_LIBS)
REGRESS   = tests-01
EXTRA_CLEAN = expected/tests.out

all:


PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
icu-ext (1.6.1-1build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:42:04 +0100

icu-ext (1.6.1-1) unstable; urgency=medium

  * New upstream version.
  * DH 13, bump S-V.

 -- Christoph Berg <myon@debian.org>  Tue, 26 May 2020 11:37:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: icu-ext
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  libicu-dev,
  postgresql-server-dev-all (>= 153~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/postgresql/icu-ext
 Vcs-Git: https://salsa.debian.org/postgresql/icu-ext.git
 Homepage: https://github.com/dverite/icu_ext

## icu-ext 1.6.2~20220627.1713-3~1.git9776b9f.pgdg18.04+1

=== debian/changelog ===
icu-ext (1.6.2~20220627.1713-3~1.git9776b9f.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 16 Feb 2022 14:45:56 +0100

icu-ext (1.6.2-3) unstable; urgency=medium

  * Fix FTBFS with ICU 70. (Closes: #1005235)

 -- Christoph Berg <myon@debian.org>  Wed, 16 Feb 2022 14:45:56 +0100

icu-ext (1.6.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 13:50:17 +0200

icu-ext (1.6.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 21 Dec 2020 15:39:43 +0100

icu-ext (1.6.1-3) unstable; urgency=medium

  * Run tests with LANG=C.UTF-8, they will fail with C and SQL_ASCII.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Nov 2020 17:11:25 +0100

icu-ext (1.6.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Oct 2020 22:39:38 +0200

=== debian/control ===
Source: icu-ext
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 11),
 libicu-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/icu-ext
Vcs-Git: https://salsa.debian.org/postgresql/icu-ext.git
Homepage: https://github.com/dverite/icu_ext

Package: postgresql-10-icu-ext
Architecture: any
Depends:
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

Package: postgresql-11-icu-ext
Architecture: any
Depends:
 postgresql-11,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

Package: postgresql-12-icu-ext
Architecture: any
Depends:
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

Package: postgresql-13-icu-ext
Architecture: any
Depends:
 postgresql-13,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

Package: postgresql-14-icu-ext
Architecture: any
Depends:
 postgresql-14,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

## icu-ext 1.6.2~20220627.1713-3~1.git9776b9f.pgdg21.10+1

=== debian/changelog ===
icu-ext (1.6.2~20220627.1713-3~1.git9776b9f.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 16 Feb 2022 14:45:56 +0100

## icu-ext 1.6.2~20220627.1713-3~1.git9776b9f.pgdg22.04+1

=== debian/changelog ===
icu-ext (1.6.2~20220627.1713-3~1.git9776b9f.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 16 Feb 2022 14:45:56 +0100

## icu-ext 1.6.2~20220627.1713-3~1.git9776b9f.pgdg90+1

=== debian/changelog ===
icu-ext (1.6.2~20220627.1713-3~1.git9776b9f.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 16 Feb 2022 14:45:56 +0100

## icu-ext 1.6.2~20220627.1713-3~1.git9776b9f.pgdg100+1

=== debian/changelog ===
icu-ext (1.6.2~20220627.1713-3~1.git9776b9f.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 16 Feb 2022 14:45:56 +0100

## icu-ext 1.6.2~20220627.1713-3~1.git9776b9f.pgdg110+1

=== debian/changelog ===
icu-ext (1.6.2~20220627.1713-3~1.git9776b9f.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 16 Feb 2022 14:45:56 +0100

## icu-ext 1.6.2~20220627.1713-3~1.git9776b9f.pgdg120+1

=== debian/changelog ===
icu-ext (1.6.2~20220627.1713-3~1.git9776b9f.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 16 Feb 2022 14:45:56 +0100

## icu-ext 1.6.2~20220627.1713-3~1.git9776b9f.pgdg+1

=== debian/changelog ===
icu-ext (1.6.2~20220627.1713-3~1.git9776b9f.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 16 Feb 2022 14:45:56 +0100

## icu-ext 1.6.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 EXTENSION  = icu_ext
-EXTVERSION = 1.6.1
+EXTVERSION = 1.6.2
 
 PG_CONFIG = pg_config

=== debian/control ===
Source: icu-ext
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/icu-ext
Vcs-Git: https://salsa.debian.org/postgresql/icu-ext.git
Homepage: https://github.com/dverite/icu_ext

Package: postgresql-13-icu-ext
Architecture: any
Depends:
 postgresql-13,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

=== debian/watch ===
version=4
https://github.com/dverite/icu_ext/releases .*/v(.*).tar.gz

## icu-ext 1.7.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 EXTENSION  = icu_ext
-EXTVERSION = 1.6.2
+EXTVERSION = 1.7
 
 PG_CONFIG = pg_config

=== debian/changelog ===
icu-ext (1.7.0-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 16 Sep 2023 15:09:47 +0200

icu-ext (1.7.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Sep 2023 15:09:47 +0200

icu-ext (1.7.0-1) unstable; urgency=medium

  * New upstream version with PG16 support.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Jul 2023 21:15:43 +0200

icu-ext (1.6.2-4) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Oct 2022 15:36:03 +0200

=== debian/control ===
Source: icu-ext
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 12),
 libicu-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/icu-ext
Vcs-Git: https://salsa.debian.org/postgresql/icu-ext.git
Homepage: https://github.com/dverite/icu_ext

Package: postgresql-10-icu-ext
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

Package: postgresql-11-icu-ext
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

Package: postgresql-12-icu-ext
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

Package: postgresql-13-icu-ext
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

Package: postgresql-14-icu-ext
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

Package: postgresql-15-icu-ext
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

## icu-ext 1.8.0

=== Makefile ===
EXTENSION  = icu_ext
EXTVERSION = 1.8


PG_CONFIG = pg_config

DATA = $(wildcard sql/icu_*.sql)

MODULE_big = icu_ext
OBJS = icu_ext.o icu_break.o icu_num.o icu_spoof.o icu_transform.o \
	icu_search.o icu_normalize.o icu_date.o icu_timestamptz.o icu_interval.o
SHLIB_LINK = $(ICU_LIBS)
REGRESS   = tests-01 tests-datetime
EXTRA_CLEAN = expected/tests.out

all:


PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
override CFLAGS += -g  # added with PG16 built with meson. Not sure it should be kept.

dist:
	tar cjf $(EXTENSION)-$(EXTVERSION).tar.bz2 Makefile META.json icu_ext.control *.md *.c *.h sql/ expected/ META.json

.PHONY: dist

=== debian/changelog ===
icu-ext (1.8.0-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:06:30 +0100

icu-ext (1.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 17:28:04 +0200

=== debian/control ===
Source: icu-ext
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/icu-ext
Vcs-Git: https://salsa.debian.org/postgresql/icu-ext.git
Homepage: https://github.com/dverite/icu_ext

Package: postgresql-16-icu-ext
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

## icu-ext 1.9.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 EXTENSION  = icu_ext
-EXTVERSION = 1.8
+EXTVERSION = 1.9
 
 
 PG_CONFIG = pg_config

=== debian/changelog ===
icu-ext (1.9.0-1.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 17 Sep 2024 22:47:42 +0200

icu-ext (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 22:47:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,66 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  debhelper-compat (= 13),
  libicu-dev,
- postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/icu-ext
 Vcs-Git: https://salsa.debian.org/postgresql/icu-ext.git
 Homepage: https://github.com/dverite/icu_ext
+
+Package: postgresql-11-icu-ext
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL extension exposing functionality from the ICU library
+ icu_ext is an extension to expose functionality from ICU to PostgreSQL
+ applications.
+
+Package: postgresql-12-icu-ext
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL extension exposing functionality from the ICU library
+ icu_ext is an extension to expose functionality from ICU to PostgreSQL
+ applications.
+
+Package: postgresql-13-icu-ext
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL extension exposing functionality from the ICU library
+ icu_ext is an extension to expose functionality from ICU to PostgreSQL
+ applications.
+
+Package: postgresql-14-icu-ext
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL extension exposing functionality from the ICU library
+ icu_ext is an extension to expose functionality from ICU to PostgreSQL
+ applications.
+
+Package: postgresql-15-icu-ext
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL extension exposing functionality from the ICU library
+ icu_ext is an extension to expose functionality from ICU to PostgreSQL
+ applications.
 
 Package: postgresql-16-icu-ext
 Architecture: any
@@ -23,3 +75,13 @@
 Description: PostgreSQL extension exposing functionality from the ICU library
  icu_ext is an extension to expose functionality from ICU to PostgreSQL
  applications.
+
+Package: postgresql-17-icu-ext
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL extension exposing functionality from the ICU library
+ icu_ext is an extension to expose functionality from ICU to PostgreSQL
+ applications.

## icu-ext 1.10.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 EXTENSION  = icu_ext
-EXTVERSION = 1.9
+EXTVERSION = 1.10
 
 
 PG_CONFIG = pg_config

=== debian/changelog ===
icu-ext (1.10.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117263)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 14:41:19 +0200

icu-ext (1.10.0-1) experimental; urgency=medium

  * New upstream version 1.10.0.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Jul 2025 14:26:58 +0200

=== debian/control ===
Source: icu-ext
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libicu-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/postgresql/icu-ext
Vcs-Git: https://salsa.debian.org/postgresql/icu-ext.git
Homepage: https://github.com/dverite/icu_ext

Package: postgresql-18-icu-ext
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension exposing functionality from the ICU library
 icu_ext is an extension to expose functionality from ICU to PostgreSQL
 applications.

=== debian/rules ===
#!/usr/bin/make -f

export LANG=C.UTF-8

override_dh_installdocs:
	dh_installdocs --all README.*

%:
	dh $@ --with pgxs_loop

=== debian/watch ===
version=4
https://github.com/dverite/icu_ext/tags .*/v(.*).tar.gz
